List Pipeline Triggers

List Pipeline Triggers

gethttps://statsigapi.net/console/v1/release_pipeline_triggers

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

releasePipelineIDstring

Filter by Release Pipeline ID

gateIDstring

Filter by Gate ID

dynamicConfigIDstring

Filter by Dynamic Config ID

statusoneOf

Filter by Status

Constraints:oneOf (string, string)oneOf[]
startDatestring

Filter by the start date of the date range of the trigger's creation date in UTC, inclusive

Example:2024-01-01
endDatestring

Filter by the end date of the date range of the trigger's creation date in UTC, inclusive (i.e. until the end of the day); defaults to today's date if not provided

Example:2024-01-01
limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List pipeline triggers success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired

Trigger ID

releasePipelineIDstringrequired

Release Pipeline ID

actionsobject[]required

Actions

typeoneOfrequired
Constraints:stringstring
timeMsnumberrequired
phaseIDstringrequired
actorIDstring
actorNamestringrequired
creatorIDstringrequired

Trigger Creator ID

createdTimenumberrequired

Trigger Creation Time

Constraints:format: double
descriptionstring

Optional description for this trigger

gateIDstring

Gate ID

dynamicConfigIDstring

Dynamic Config ID

lastModifierIDstringrequired

Last modifier ID

lastModifierNamestringrequired

Last modifier name

configSnapshotIDstring

The snapshot of the config that this trigger is releasing

statusstringrequired

Pipeline status with this trigger

currentPhasestringrequired

Current phase

Constraints:nullable
currentPhaseIDstringrequired

Current phase ID

Constraints:nullable
currentPhaseEndTimenumberrequired

Current phase end time

Constraints:format: doublenullable
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring

Was this helpful?